Gemini Files & Cache
List Gemini files
Lists files belonging to the current Workspace.
Lists files belonging to the current Workspace. Use nextPageToken to continue. Resources can only be read, referenced, changed, or deleted in their owning Workspace.
curl -X GET "https://example.com/v1beta/files"{ "files": [ { "name": "string", "displayName": "string", "mimeType": "string", "sizeBytes": "string", "uri": "string", "state": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "expirationTime": "2019-08-24T14:15:22Z", "error": {} } ], "nextPageToken": "string"}AuthorizationBearer <token>
API Key authentication. Create or manage API keys in Dashboard > API > API Keys.
In: header
Query Parameters
key?string
API key alternative to Bearer or x-goog-api-key.
pageSize?integer
Requested page size; page_size is also accepted.
pageToken?string
Opaque nextPageToken from the previous response. page_token is also accepted.
Response
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json